<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext"%>
<%@ page import="org.wso2.carbon.CarbonConstants"%>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil"%>
<%@ page import="org.wso2.carbon.utils.ServerConstants"%>
<%@ page import="org.wso2.carbon.module.mgt.ui.client.ModuleManagementClient"%>
<%@ page import="org.wso2.carbon.module.mgt.ui.types.ModuleMetaData"%>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<jsp:include page="../dialog/display_messages.jsp"/>
<script type="text/javascript" src="js/modulemgt.js"></script>
<fmt:bundle basename="org.wso2.carbon.module.mgt.ui.i18n.Resources">
    <carbon:breadcrumb label="module.information"
                       resourceBundle="org.wso2.carbon.module.mgt.ui.i18n.Resources"
                       topPage="false" request="<%=request%>"/>
<%
            String moduleName = request.getParameter("moduleName");
            String moduleVersion = request.getParameter("moduleVersion");

            String serverURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
            ConfigurationContext configContext =
             (ConfigurationContext)config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
            String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
            ModuleMetaData module = null;
            String globallyEngaged = "NO";

            try {
                ModuleManagementClient client = new ModuleManagementClient(configContext, serverURL,
                        cookie, false);
                module = client.getModuleInfo(moduleName,moduleVersion);
                globallyEngaged = module.getEngagedGlobalLevel() ? "YES" : "NO";
            } catch (Exception e) {
                CarbonUIMessage.sendCarbonUIMessage(e.getMessage(), CarbonUIMessage.ERROR, request, e);
%>
            <script type="text/javascript">
                   location.href = "../admin/error.jsp";
            </script>
<%
                return;
            } 

%>
<div id="middle">
    <h2> <%=moduleName%> <fmt:message key="module"/> <%=moduleVersion%></h2>
    <div id="workArea">
    <table>
        <tr>
       <td>
        <table class="styledLeft" id="moduleInfo" width="100%">
	        <thead>
	            <tr>
	                <th colspan="2"><fmt:message key="module.information"/></th>
	            </tr>
	        </thead>
	        <tbody>
	            <tr>
	                <td><fmt:message key="module.name"/></td>
	                <td><%= module.getModulename()%></td>
	            </tr>
	            <tr>
	                <td><fmt:message key="module.version"/></td>
                    <td><%= module.getModuleVersion() == null ? "" : module.getModuleVersion()%></td>
                </tr>
	            <tr>
	                <td><fmt:message key="module.description"/></td>
                    <% if(module.getDescription() == null) { %>
                        <td><%= module.getDescription()%></td>
                    <% } else { %>
                        <td>No description found</td>
                    <% } %>	                
	            </tr>  
	            <tr>
	                <td><fmt:message key="globally.status"/></td>
	                <td><%=globallyEngaged%></td>
	            </tr>          
	        </tbody>
	    </table>
	   </td>
	</tr>
	<tr height="10"/>
	<tr>
	   <td>      
            <table class="styledLeft" id="moduleConfig" width="100%">
                <thead>
                    <tr>
                        <th><fmt:message key="module.configuration"/></th>
                    </tr>
                </thead>
                <tr>
                    <td><a title="<fmt:message key="edit.parameters"/>" href="./parameters.jsp?moduleName=<%=moduleName%>&moduleVersion=<%=moduleVersion%>">
                            <img src="images/edit.gif" alt="<fmt:message key="edit.parameters"/>"/>
                                <fmt:message key="edit.parameters"/>
                        </a>                    
                    </td>
                </tr>
                <tr>
                    <td><a title="<fmt:message key="edit.policies"/>"
                                   href="../service-mgt/policy_editor_proxy.jsp?moduleName=<%=moduleName%>&moduleVersion=<%=moduleVersion%>&policyType=ModulePolicy&action=getpolicy">
                                <img src="images/policies.gif" alt="<fmt:message key="edit.policies"/>"/>
                                <fmt:message key="edit.policies"/>
                            </a>                  
                    </td>
                </tr> 
            </table>
       </td>
    </tr>        
    </table>
</div>
<script type="text/javascript">
    alternateTableRows('moduleInfo', 'tableEvenRow', 'tableOddRow');
    alternateTableRows('moduleConfig', 'tableEvenRow', 'tableOddRow');
</script>    
</fmt:bundle>
